[FFmpeg-devel] [PATCH] restoring binary compatibility with ffmpeg 0.5

Måns Rullgård mans
Mon Jun 7 00:29:16 CEST 2010

Reimar D?ffinger <Reimar.Doeffinger at gmx.de> writes:

> On Sun, Jun 06, 2010 at 10:32:19PM +0100, M?ns Rullg?rd wrote:
>> Michael Niedermayer <michaelni at gmx.at> writes:
>> >> so it will still break compatibility to some previous versions.
>> >
>> > do you assume this or have you tested this?
>> It changes the name of the symbol.  Anything linked against current
>> libavcodec will fail after this change.
> Well, I at least just assumed this.
> I expect (but I don't know) that adding an extra .symver will "solve" this
> for gcc+gas even without the extra entry in the version script.

The .symver directive takes precedence over a version script, says the

> We'd then be down to only breaking compatibility on some platforms and
> only to some versions (not to 0.5).

A partial fix is no fix IMO, which leaves three possibilities:

1.  Leave it as is.  We have yet to receive any reports of it actually
    causing trouble.  I'm not really fond of this idea though.
2.  Find a solution that works everywhere.  May be impossible.
3.  Bump libavformat major.

M?ns Rullg?rd
mans at mansr.com

More information about the ffmpeg-devel mailing list